Package skyview.geometry.projecter

# Class Tot.TotDeproj

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Deprojecter
skyview.geometry.projecter.Tot.TotDeproj

All Implemented Interfaces:
  `Serializable`, `Component`

Enclosing class:
  `Tot`

public class Tot.TotDeproj extends Deprojecter
Deproject from the plane back to the unit sphere

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TotDeproj()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`Transformer`
`inverse()`
Get the inverse of the transformation.
`boolean`
`isInverse(Transformer obj)`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.
`void`
`transform(double[] plane, double[] sphere)`
Convert a single point where the output vector is supplied.

### Methods inherited from class skyview.geometry.Deprojecter

`getInputDimension, getOutputDimension`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TotDeproj

public TotDeproj()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### isInverse

public boolean isInverse(Transformer obj)
Description copied from class: `Transformer`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.

Specified by:
  `isInverse` in class `Transformer`

### inverse

public Transformer inverse()
Description copied from class: `Transformer`
Get the inverse of the transformation. If the order matters, then the inverse is to be applied after the original transformation. This is primarily an issue with Converters.

Specified by:
  `inverse` in class `Transformer`

### transform

public void transform(double[] plane, double[] sphere)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `plane` - The input vector.
  `sphere` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.